<?php

/* * ********************************************************************
 * ProxmoxAddon product developed. (Aug 23, 2018)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 * ******************************************************************** */

namespace ModulesGarden\Servers\ProxmoxVps\App\UI\Validators;


use ModulesGarden\Servers\ProxmoxVps\Core\UI\Widget\Forms\Validators\BaseValidator;

/**
 * Description of NumberValidator
 *
 * @author Pawel Kopec <pawelk@modulesgardne.com>
 */
class PasswordValidator extends BaseValidator
{
    protected $required = false;
    protected $length;

    public function __construct($required = true, $length = false)
    {
        $this->required = $required;
        $this->length   = $length;
    }

    protected function validate($data, $additionalData = null)
    {
        if (!$this->required && empty($data))
        {
            return true;
        }
        else
        {
            if (is_numeric($this->length) && strlen($data) < $this->length)
            {
                $this->addValidationError('The password is too short');
                return false;
            }
        }

        return true;
    }
}
